#include "draglistview.h"
#include "kmpmodule.h"
#include <qdragobject.h>

dragListView::dragListView(QWidget *parent, const char *name )
               : QListView( parent, name )
{
    setAcceptDrops(TRUE);
    songList = new linkedList<mpd_SongStore>;
}

dragListView::~dragListView() {
    songList->reset();
    delete songList;
}

QTextDrag* dragListView::dragObject () {
    QTextDrag * theDrag;
    theDrag = new QTextDrag(QString("dir"), this, QString("SomeShit"));
    return theDrag;
}

void dragListView::setType(int type) {
    type_ = type;
}

void dragListView::startDrag() {
    if(type_ == 1) {
	QDragObject *d = new QStoredDrag(QString("kmp_dir"),  this);
	d->dragCopy();
    } else if(type_ == 2) {
	QDragObject *d = new QStoredDrag(QString("kmp_file"), this);
	d->dragCopy();
    } else {
	QString theText = "";
	QListViewItem * ItemAt;
	ItemAt = this->firstChild();
	while(ItemAt != 0) {
	    if(ItemAt->isSelected()) {
		theText = theText + ItemAt->text(1) + "\n";
		//And then move up the list
		ItemAt = ItemAt->itemBelow();
		//And get rid of the item in the widget tree
		continue;
	    }
	    //If it isn't selected then we just move up!
	    ItemAt = ItemAt->itemBelow();
	}
	QDragObject *d = new QTextDrag(theText, this);
	d->dragCopy();
    }
}

void dragListView::dragEnterEvent(QDragEnterEvent* event)
{
    if(type_ == 0) {
	event->accept(event->provides(QString("kmp_dir")) || event->provides(QString("kmp_file")) );
    } else event->accept(0);
}

void dragListView::dropEvent(QDropEvent* event)
{
    if ( event->provides(QString("kmp_dir"))) {
	event->accept(1);
	recieveDrop(QString("kmp_dir"), (dragListView *)event->source());
    }else if(event->provides(QString("kmp_file"))) {
	event->accept(1);
	recieveDrop(QString("kmp_file"), (dragListView *)event->source());
    }
}

void dragListView::setPath(QString path) {
    path_ = path;
}

QString dragListView::getPath() {
    return path_;
}

void dragListView::resizeEvent(QResizeEvent * e) {
    resized(e);    
    QListView::resizeEvent(e);
    this->triggerUpdate();
}
    





