#ifndef DRAGLISTVIEW_H
#define DRAGLISTVIEW_H

#include <qlistview.h>
#include <qdragobject.h>
#include "linkedlist.h"
#include "kmpmodule.h"

class Q_EXPORT dragListView : public QListView
{
    Q_OBJECT
public:
    dragListView(QWidget *parent = 0, const char *name = 0);
    ~dragListView();
    void setType(int type);
    void setPath(QString path);
    QString getPath();
    linkedList<mpd_SongStore> * songList;
protected:
    void startDrag();
    virtual QTextDrag * dragObject ();
    void dragEnterEvent(QDragEnterEvent* event);
    void dropEvent(QDropEvent* event);
    void resizeEvent ( QResizeEvent * e );
private:
    int type_;
    QString path_;
signals:
    void recieveDrop(QString MType, dragListView * source);
    void resized(QResizeEvent * e);
};

    


#endif
