#include <qstring.h>
#include "kmpmodule.h"
#include <qevent.h>
#include <qlistview.h>


QString title(const mpd_SongStore theSong) {
    if(!(theSong.title == ""))  {
	if(!(theSong.artist == "")) {
	    return(theSong.artist + " - " + theSong.title);
	} else {
	    return(theSong.title);
	}
    } else {
	int i = theSong.file.findRev( '/' );
	return(theSong.file.right(theSong.file.length() - ++i));
    }
}

QString fileTitle(QString path) {
    int i = path.findRev('/');
    return(path.right(path.length() - ++i));
}

QString minTime(int curTime) {
    if(curTime == 0) return (QString("0:00"));
    int minutes = (int)(curTime / 60);
    int seconds = (int)(curTime - minutes*60);
    QString time;
    if(seconds < 10) (time = QString::number(minutes) + ":0" + QString::number(seconds));
    else (time = QString::number(minutes) + ":" + QString::number(seconds));
    return time;
}

QString hrTime(int curTime) {
    int hours = (int)(curTime / 3600);
    int minutes = (int)((curTime - hours*3600)/60);
    int seconds = (int)(curTime - hours*3600 - minutes*60);
    QString minstring;
    QString secstring;
    QString hrstring;
    if(minutes < 10) minstring = "0" + QString::number(minutes) + ":";
         else minstring = QString::number(minutes) + ":";
    if(seconds < 10) secstring = "0" + QString::number(seconds);
         else secstring = QString::number(seconds);
    if(hours < 10) hrstring = "0" + QString::number(hours) + ":";
         else hrstring = QString::number(hours) + ":";

    return( hrstring + minstring + secstring);
}

int getTime(QString time) {
    int secTime = 0;
    int i = time.findRev(':');
    secTime += time.right(time.length() - ++i).toInt();
    secTime += 60 * time.left(--i).toInt();
    return secTime;
}
    

//Name: buildDirectoryPath
//When&What Calls: this is called to find the path of a folder
//Purpose: to get teh path of a directory from its parents names 
QString buildDirectoryPath(QListViewItem * theItem) {
    QString path = "";
    //While there is an Item
    while(theItem != NULL) {
	//We tack it on the front and get its parent and do the same to it, and so on
	path = theItem->text(0) + "/" + path; 
	theItem = theItem->parent();
    }
    //Then return everything but the 2 extra //
    return (path.right(path.length() - 2));
}
