#ifndef KMPMODULE_H
#define KMPMODULE_H

#include <qevent.h>
#include <qstring.h>
#include <qlistview.h>

//This is to be included with libmpdclient and linkedlist as to not lose data


typedef struct mpd_SongStore {
	/* filename of song */
	QString file;
	/* artist, maybe NULL if there is no tag */
	QString artist;
	/* title, maybe NULL if there is no tag */
	QString title;
	/* album, maybe NULL if there is no tag */
	QString album;
	/* track, maybe NULL if there is no tag */
	QString track;
	/* The playlist number for the song (Internal Only) */
	int playlistEntry;
	/* length of song in seconds, check that it is not MPD_SONG_NO_TIME  */
	int time;
} mpd_SongStore;

QString title(const mpd_SongStore);
QString fileTitle(QString path) ;
QString minTime(int curTime);
int getTime(QString time);
QString hrTime(int curTime);
void dropped(QDropEvent* event);
QString buildDirectoryPath(QListViewItem * theItem);
#endif
